## org.apache.mahout.text
Class SequenceFilesFromLuceneStorageMRJob

    java.lang.Object
      org.apache.mahout.text.SequenceFilesFromLuceneStorageMRJob

    public class SequenceFilesFromLuceneStorageMRJob

extends Object

Generates a sequence file from a Lucene index via MapReduce. Uses a specified id field as the key and a content field as the value. Configure this class with a `LuceneStorageConfiguration` bean.

Constructor Summary
`SequenceFilesFromLuceneStorageMRJob()`

Method Summary
`void` `run(LuceneStorageConfiguration lucene2seqConf)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SequenceFilesFromLuceneStorageMRJob

    public SequenceFilesFromLuceneStorageMRJob()

Method Detail

### run

    public void run(LuceneStorageConfiguration lucene2seqConf)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.